> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domains



## OpenAPI

````yaml get /v1/team/domains
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/team/domains:
    get:
      summary: Get domains
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DomainResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DomainResponse:
      type: object
      properties:
        id:
          type: number
        fqdn:
          type: string
        apex_domain:
          type:
            - string
            - 'null'
        type:
          type: string
        status:
          type: string
        is_enabled:
          type: boolean
        is_primary:
          type: boolean
        assigned_app:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
      required:
        - id
        - fqdn
        - type
        - status
        - is_enabled
        - is_primary
        - created_at
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````